"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNameAndValue = void 0;
const kebabCase_1 = __importDefault(require("lodash/kebabCase"));
/**
 *
 * Returns an object with properties `value` & `displayName`
 * based on the props provided
 *
 * @property value: string
 * @property displayName: string
 * @internal
 */
const getNameAndValue = ({ value: valProp, displayName: nameProp, }) => {
    return {
        value: valProp ?? (0, kebabCase_1.default)(nameProp),
        displayName: nameProp ?? valProp ?? '', // TODO consider adding a prop to customize displayName => startCase(valProp),
    };
};
exports.getNameAndValue = getNameAndValue;
//# sourceMappingURL=getNameAndValue.js.map