import React from 'react';
import { Popover } from './leafygreen';
type InteractivePopoverProps = {
    className?: string;
    children: React.ReactNode;
    trigger: (triggerProps: {
        onClick: React.MouseEventHandler<HTMLButtonElement>;
        ref: React.LegacyRef<HTMLButtonElement>;
        children: React.ReactNode;
    }) => React.ReactElement;
    hideCloseButton?: boolean;
    customFocusTrapFallback?: string;
    open: boolean;
    setOpen: (open: boolean) => void;
    /**
     * List of selector to consider contained elements to skip closing on click
     */
    containedElements?: string[];
    containerClassName?: string;
    closeButtonClassName?: string;
} & Pick<React.ComponentProps<typeof Popover>, 'align' | 'justify' | 'spacing' | 'popoverZIndex'>;
declare function InteractivePopover({ className, children, trigger, hideCloseButton, customFocusTrapFallback, open, setOpen, containedElements, align, justify, spacing, popoverZIndex, containerClassName, closeButtonClassName, }: InteractivePopoverProps): React.ReactElement;
export { InteractivePopover };
//# sourceMappingURL=interactive-popover.d.ts.map