import React from 'react';
declare const KeylineCard: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLDivElement> & {
    /**
     * Set the content style of the card (matches the interface of LeafyGreen cards).
     *
     * With `contentStyle="clickable"` the look and feel of the KeylineCard will resemble
     * that of a button. Additionally, consistent focus ring handling and accessibility properties
     * are added to the container.
     */
    contentStyle?: "none" | "clickable" | undefined;
}, "ref"> & React.RefAttributes<HTMLDivElement>>;
export { KeylineCard };
//# sourceMappingURL=keyline-card.d.ts.map