import React from 'react';
import { Variant as ConfirmationModalVariant } from '@leafygreen-ui/confirmation-modal';
import ConfirmationModal from '../components/modals/confirmation-modal';
export { ConfirmationModalVariant };
type ConfirmationModalProps = React.ComponentProps<typeof ConfirmationModal>;
type ConfirmationProperties = Partial<Pick<ConfirmationModalProps, 'title' | 'variant' | 'requiredInputText'>> & {
    buttonText?: React.ReactNode;
    cancelButtonText?: React.ReactNode;
    hideConfirmButton?: boolean;
    hideCancelButton?: boolean;
    description?: React.ReactNode;
    signal?: AbortSignal;
    'data-testid'?: string;
};
export declare const showConfirmation: (props: ConfirmationProperties) => Promise<boolean>;
export declare const ConfirmationModalArea: React.FC;
export declare const useConfirmationModal: () => {
    showConfirmation: (props: ConfirmationProperties) => Promise<boolean>;
};
//# sourceMappingURL=use-confirmation.d.ts.map