/// <reference types="react" />
import { type VariableSizeList } from 'react-window';
export type VirtualListItemObserverParams<T> = {
    listRef: React.RefObject<VariableSizeList>;
    items: T[];
    rowGap?: number;
    estimateItemInitialHeight(item: T): number;
};
export type ListItemObserver = {
    observe(this: void, element: HTMLDivElement, index: number): void;
    unobserve(this: void, element: HTMLDivElement, index: number): void;
};
export declare const useVirtualListItemObserver: <T>({ listRef, items, rowGap, estimateItemInitialHeight, }: VirtualListItemObserverParams<T>) => {
    observer: ListItemObserver;
    estimatedItemSize: number;
    getItemSize(this: void, index: number): number;
};
//# sourceMappingURL=use-virtual-list-item-observer.d.ts.map